<div [ngClass]="alert" class="alert" role="alert">
    A simple primary alert—check it out!
</div>

<button type="button" class="btn btn-info" (click)="alert = 'alert-info'">Info</button>
<button type="button" class="btn btn-success" (click)="alert = 'alert-success'">Success</button>

<br>
<br>

<h3 [ngClass]=" { 'text-danger': propiedad.danger, 'text-info': !propiedad.danger } ">
    Hola Mundo
</h3>
<button (click)="propiedad.danger = !propiedad.danger" type="button" class="btn" [ngClass]="{ 'btn-danger': propiedad.danger, 'btn-info': !propiedad.danger}">
    cambiar
</button>
<br>
<br>
<button (click)="ejecutar()" class="btn btn-primary" type="button" name="button" [disabled]="loading">
        <i [ngClass]="{'fa-save': !loading, 'fa-refresh fa-spin': loading }" class="fa"></i>   
            <span *ngIf="!loading">Guardar cambios</span>
            <span *ngIf="loading">Espere por favor</span>
            
</button>